Package org.gitana.platform.client.principal

# Interface DomainUser

All Superinterfaces:
  `AccessControllable`, `Attachable`, `Copyable`, `Document`, `DomainDocument`, `DomainPrincipal`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Principal`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `DomainUserImpl`

public interface DomainUser extends DomainPrincipal

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_COMPANY_NAME`
`static final String`
`FIELD_DIRECTORY_ID`
`static final String`
`FIELD_EMAIL`
`static final String`
`FIELD_FIRST_NAME`
`static final String`
`FIELD_IDENTITY_ID`
`static final String`
`FIELD_LAST_NAME`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.principal.DomainPrincipal

`FIELD_AUTHORITIES, FIELD_NAME, FIELD_TYPE`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCompanyName()`
`String`
`getDirectoryId()`
`String`
`getEmail()`
`String`
`getFirstName()`
`String`
`getIdentityId()`
`String`
`getLastName()`
`boolean`
`hasIdentity()`
`Directory`
`readDirectory()`
`Identity`
`readIdentity()`
`Person`
`readPerson(Branch branch)`
`Person`
`readPerson(Branch branch, boolean createIfNotFound)`
`void`
`setCompanyName(String companyName)`
Sets the company name.
`void`
`setEmail(String email)`
Sets the email.
`void`
`setFirstName(String firstName)`
Sets the first name.
`void`
`setLastName(String lastName)`
Sets the last name.

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.attachment.Attachable

`deleteAttachment, deleteAttachment, downloadAttachment, downloadAttachment, getDownloadUri, listAttachments, uploadAttachment, uploadAttachment, uploadAttachment, uploadAttachments, uploadAttachments`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.client.domain.DomainDocument

`getDomain`

### Methods inherited from interface org.gitana.platform.client.principal.DomainPrincipal

`getAuthorities, getDomainId, getDomainQualifiedId, getDomainQualifiedName, getName, getType, listParentGroups, listParentGroups, setName, setType`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface java.security.Principal

`equals, hashCode, implies, toString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_FIRST_NAME

static final String FIELD_FIRST_NAME

See Also:
  - Constant Field Values

### FIELD_LAST_NAME

static final String FIELD_LAST_NAME

See Also:
  - Constant Field Values

### FIELD_COMPANY_NAME

static final String FIELD_COMPANY_NAME

See Also:
  - Constant Field Values

### FIELD_EMAIL

static final String FIELD_EMAIL

See Also:
  - Constant Field Values

### FIELD_DIRECTORY_ID

static final String FIELD_DIRECTORY_ID

See Also:
  - Constant Field Values

### FIELD_IDENTITY_ID

static final String FIELD_IDENTITY_ID

See Also:
  - Constant Field Values

## Method Details

### getFirstName

String getFirstName()

Returns:
  first name

### setFirstName

void setFirstName(String firstName)
Sets the first name.

Parameters:
  `firstName` -

### getLastName

String getLastName()

Returns:
  last name

### setLastName

void setLastName(String lastName)
Sets the last name.

Parameters:
  `lastName` -

### getCompanyName

String getCompanyName()

Returns:
  company name

### setCompanyName

void setCompanyName(String companyName)
Sets the company name.

Parameters:
  `companyName` -

### getEmail

String getEmail()

Returns:
  email

### setEmail

void setEmail(String email)
Sets the email.

Parameters:
  `email` -

### readPerson

Person readPerson(Branch branch)

### readPerson

Person readPerson(Branch branch, boolean createIfNotFound)

### hasIdentity

boolean hasIdentity()

### getDirectoryId

String getDirectoryId()

### getIdentityId

String getIdentityId()

### readDirectory

Directory readDirectory()

### readIdentity

Identity readIdentity()